 the " inverse transform..." error need to be caught, otherwise QGIS freezes.
Status: Closed

Priority: High

Assignee: Magnus Homann

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15344

Description

Sometimes when adding layers with different CRSs and enabling OTFR, QGIS throws the following error

inverse transform of

(-87.576312, 101.880351)

PROJ.4: +proj=tmerc +lat_0=39.66825833333333 +lon_0=-8.133108333333334 +k=1 +x_0=0 +y_0=0 +ellps=GRS80

+towgs84=0,0,0,0,0,0,0 +units=m +no_defs +to +proj=longlat +datum=WGS84 +no_defs

Error: latitude or longitude exceeded limits

I guess that is ok as it warns that one of the layers cannot be reprojected because of its extent.

The problem is that after closing the dialog clicking on "ok", the mouse pointer remain as hourglass forever and even if it allows to access

menus and buttons QGIS is completely non responsive, making kill the application the only option.

History

#1 - 2012-09-06 12:41 AM - Magnus Homann

- Assignee set to Magnus Homann

Does this happen still? Do you have an exampl layer that this happens on?

#2 - 2012-09-07 04:34 AM - Giovanni Manghi

Magnus Homann wrote:

Does this happen still? Do you have an exampl layer that this happens on?

yes, I just tested.

I added a vector in a projected CRS and then a WMS layer in WGS84. Then started to zoom out and got the error message + freeze. I know that it is an

operation that does not make sense (reprojecting a large lat/lon area in a projected CRS) anyway we should avoid to have QGIS freeze, after all this can

happen by pure mistake.

#3 - 2012-09-07 04:38 AM - Magnus Homann
OK, I think it's the WMS that is the key to the issue. IS there a simple WMS server where I can reproduce this on?

#4 - 2012-09-07 04:40 AM - Giovanni Manghi

Magnus Homann wrote:

OK, I think it's the WMS that is the key to the issue. IS there a simple WMS server where I can reproduce this on?

here

http://geoposer.com:443/server/services/ve.xml

Thanks!

#5 - 2012-09-10 12:41 PM - Magnus Homann

Hmm, I found an error when zooming out, but that was due to a division by zero in raster code. The error sent a "NaN" to transformCoords() and so the

popup said:

"inverse transform of

(nan, nan) ..."

But the original reporters error is somewhat different. What did you see, Giovanni?

Edit: Nevermind, got it now! :-)

#6 - 2012-09-11 02:11 AM - Giovanni Manghi

- File teste_error.qgs added

Magnus Homann wrote:

Hmm, I found an error when zooming out, but that was due to a division by zero in raster code. The error sent a "NaN" to transformCoords() and so

the popup said:

"inverse transform of

(nan, nan) ..."

But the original reporters error is somewhat different. What did you see, Giovanni?

Edit: Nevermind, got it now! :-)

attaching a test project

#7 - 2012-09-12 02:00 PM - Magnus Homann

- Status changed from Open to Closed

Thought I fixed it, but a lot of out of memory errors cropped up. :-)
#8 - 2012-09-12 02:22 PM - Giovanni Manghi

- Resolution set to fixed

Magnus Homann wrote:

Thought I fixed it, but a lot of out of memory errors cropped up. :-)

thanks a lot indeed!

Files

teste_error.qgs 7.47 KB 2012-09-11 Giovanni Manghi
